"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _BulkDeleteWithConfirmButton = _interopRequireDefault(require("./BulkDeleteWithConfirmButton"));

var _BulkDeleteWithUndoButton = _interopRequireDefault(require("./BulkDeleteWithUndoButton"));

var _Button = _interopRequireDefault(require("./Button"));

var BulkDeleteButton = function BulkDeleteButton(_ref) {
  var undoable = _ref.undoable,
      props = (0, _objectWithoutProperties2.default)(_ref, ["undoable"]);
  return undoable ? _react.default.createElement(_BulkDeleteWithUndoButton.default, props) : _react.default.createElement(_BulkDeleteWithConfirmButton.default, props);
};

BulkDeleteButton.propTypes = {
  basePath: _propTypes.default.string,
  label: _propTypes.default.string,
  resource: _propTypes.default.string.isRequired,
  selectedIds: _propTypes.default.arrayOf(_propTypes.default.any).isRequired,
  undoable: _propTypes.default.bool,
  icon: _propTypes.default.element
};
BulkDeleteButton.defaultProps = {
  undoable: true
};
var _default = BulkDeleteButton;
exports.default = _default;
module.exports = exports.default;