"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _DeleteWithUndoButton = _interopRequireDefault(require("./DeleteWithUndoButton"));

var _DeleteWithConfirmButton = _interopRequireDefault(require("./DeleteWithConfirmButton"));

var DeleteButton = function DeleteButton(_ref) {
  var undoable = _ref.undoable,
      props = (0, _objectWithoutProperties2.default)(_ref, ["undoable"]);
  return undoable ? _react.default.createElement(_DeleteWithUndoButton.default, props) : _react.default.createElement(_DeleteWithConfirmButton.default, props);
};

DeleteButton.propTypes = {
  basePath: _propTypes.default.string,
  label: _propTypes.default.string,
  record: _propTypes.default.object,
  redirect: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.bool, _propTypes.default.func]),
  resource: _propTypes.default.string,
  undoable: _propTypes.default.bool,
  icon: _propTypes.default.element
};
DeleteButton.defaultProps = {
  undoable: true
};
var _default = DeleteButton;
exports.default = _default;
module.exports = exports.default;